module VMEC
using Libdl
using VMEC_jll
using Requires
using NetCDF
using OrderedCollections
using LinearAlgebra
using StaticArrays
using StructArrays
using CoordinateTransformations
using Interpolations
using Roots
using Polyester

using PlasmaEquilibriumToolkit

include("Exports.jl")
include("VmecTypes.jl")
include("NamelistInput.jl")
include("NetCDFUtils.jl")
include("FourierTransformFunctions.jl")
include("VmecUtils.jl")
include("Coordinates.jl")
include("Boozer.jl")
include("Output.jl")


function __init__()
  @require MPI="da04e1cc-30fd-572f-bb4f-1f8673147195" include("FortranInterface.jl")
end

end
